> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Genomic Elements

> Retrieve genomic elements.

Example: region = chr1:1157520-1158189,

source_annotation = dELS: distal Enhancer-like signal,

type = candidate cis regulatory element,

files_fileset = IGVFFI5749WPVK,

source = ENCODE.

The limit parameter controls the page size and can not exceed 1000.

Pagination is 0-based.



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /genomic-elements
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /genomic-elements:
    get:
      summary: Genomic Elements
      description: |-
        Retrieve genomic elements.

        Example: region = chr1:1157520-1158189,

        source_annotation = dELS: distal Enhancer-like signal,

        type = candidate cis regulatory element,

        files_fileset = IGVFFI5749WPVK,

        source = ENCODE.

        The limit parameter controls the page size and can not exceed 1000.

        Pagination is 0-based.
      operationId: genomicElements
      parameters:
        - name: region
          in: query
          required: false
          schema:
            type: string
        - name: source_annotation
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'CA-CTCF: chromatin accessible + CTCF binding'
              - 'CA-H3K4me3: chromatin accessible + H3K4me3 high signal'
              - 'CA-TF: chromatin accessible + TF binding'
              - 'CA: chromatin accessible'
              - 'PLS: Promoter-like signal'
              - 'TF: TF binding'
              - 'dELS: distal Enhancer-like signal'
              - enhancer
              - genic
              - intergenic
              - negative control
              - 'pELS: proximal Enhancer-like signal'
              - promoter
        - name: type
          in: query
          required: false
          schema:
            type: string
            enum:
              - accessible dna elements
              - candidate cis regulatory element
              - tested elements
        - name: method
          in: query
          required: false
          schema:
            type: string
            enum:
              - CRISPR screen
              - ENCODE-rE2G
              - MPRA
              - Perturb-seq
              - caQTL
              - candidate Cis-Regulatory Elements
              - integrative
              - scE2G
        - name: source
          in: query
          required: false
          schema:
            type: string
            enum:
              - AFGR
              - ENCODE
              - FUNCODE
              - IGVF
        - name: organism
          in: query
          required: false
          schema:
            type: string
            enum:
              - Mus musculus
              - Homo sapiens
            default: Homo sapiens
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
        - name: files_fileset
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    chr:
                      type: string
                    start:
                      type: number
                    end:
                      type: number
                    strand:
                      type: string
                      nullable: true
                    name:
                      type: string
                    method:
                      type: string
                      nullable: true
                    source_annotation:
                      type: string
                      nullable: true
                    type:
                      type: string
                    source:
                      type: string
                    source_url:
                      type: string
                  required:
                    - chr
                    - start
                    - end
                    - name
                    - source_annotation
                    - type
                    - source
                    - source_url
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````